﻿@Html.DevExpress().GridView(settings =>
{
    settings.Name = "peopleGrid";
    settings.CallbackRouteValues = new { Controller = "Karkard", Action = "KarkardGrid" };
    // settings.ClientSideEvents.BeginCallback = "motorsazanClient.karkard.handlePeopleGridBeginCallback";
    settings.Width = Unit.Percentage(100);

    settings.Settings.ShowFilterRow = false;
    settings.Settings.ShowFilterRowMenu = false;
    settings.SettingsBehavior.AllowFocusedRow = true;
    settings.SettingsBehavior.AllowSelectByRowClick = true;
    settings.SettingsBehavior.AllowSelectSingleRowOnly = true;
    settings.SettingsDetail.AllowOnlyOneMasterRowExpanded = true;

    settings.EnableRowsCache = true;
    settings.KeyFieldName = "Id";
    settings.Columns.Add(column =>
    {
        column.FieldName = "RowIndex";
        column.Caption = "ردیف";
        column.Width = Unit.Pixel(60);
        column.UnboundType = DevExpress.Data.UnboundColumnType.Integer;
        settings.CustomUnboundColumnData = (s, e) =>
        {
            if (e.Column.FieldName == "RowIndex")
                e.Value = e.ListSourceRowIndex + 1;
        };
    });
    settings.Columns.Add(column =>
    {
        column.FieldName = "CustomerName";
        column.Caption = "نام مشتری";
    });
    settings.Columns.Add(column =>
    {
        column.FieldName = "ComplexTitle";
        column.Caption = "بازار";
        column.GroupIndex = 1;
    });
    settings.Columns.Add(column =>
    {
        column.FieldName = "Pelak";
        column.Caption = "پلاک";
    });
    settings.Columns.Add(column =>
    {
        column.FieldName = "Tablo";
        column.Caption = "تابلو";
    });

    settings.Columns.Add(column =>
    {
        column.FieldName = "StartDate";
        column.Caption = "شروع کنتور";
    });
    settings.Columns.Add(column =>
    {
        column.FieldName = "StartCoutValue";
        column.Caption = "رقم کنتور";
    });
    settings.Columns.Add(column =>
    {
        column.FieldName = "EndDate";
        column.Caption = "پایان کنتور";
    });
    settings.Columns.Add(column =>
    {
        column.FieldName = "EndCoutValue";
        column.Caption = "رقم کنتور";
    });

    settings.Columns.Add(column =>
    {
        column.FieldName = "TotalCount";
        column.Caption = "مصرف کل";
    });
    settings.Columns.Add(column =>
    {
        column.FieldName = "BasePrice";
        column.Caption = "قیمت پایه";
        column.PropertiesEdit.DisplayFormatString = "{0:N0}";

    });
    settings.Columns.Add(column =>
    {
        column.FieldName = "TotalPrice";
        column.Caption = "قیمت تهایی";
        column.PropertiesEdit.DisplayFormatString = "{0:N0}";
    });
    settings.SettingsExport.EnableClientSideExportAPI = true;
    settings.SettingsExport.ExcelExportMode = DevExpress.Export.ExportType.WYSIWYG;
    settings.Toolbars.Add(t =>
    {
        t.Items.Add(GridViewToolbarCommand.ExportToXlsx).Text = "خروجی اکسل";
    });
    settings.CommandColumn.Visible = true;
    settings.CommandColumn.ShowDeleteButton = false;
    settings.CommandColumn.ShowEditButton = false;
    settings.CommandColumn.ShowNewButton = false;
    settings.CommandColumn.ShowNewButtonInHeader = false;
    settings.CommandColumn.Caption = "عملیات";
    settings.CommandColumn.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
    settings.CommandColumn.Width = Unit.Pixel(50);
    settings.CommandColumn.ButtonRenderMode = GridCommandButtonRenderMode.Button;
    settings.CommandColumn.VisibleIndex = 1000;

    settings.ClientSideEvents.CustomButtonClick =
    "motorsazanClient.karkard.handlReportGridCustomBtnClick";

    var printCutsomBtn = new GridViewCommandColumnCustomButton() { ID = "reportGridPrintCutsomBtn", Text = "چاپ" };
    printCutsomBtn.Styles.Style.CssClass = "app__form-grid-mini-btn app__form-grid-mini-btn--danger";
    settings.CommandColumn.CustomButtons.Add(printCutsomBtn);

    settings.SettingsLoadingPanel.Text = "در حال دریافت اطلاعات";
    settings.SettingsPager.Summary.Text = "صفحه‌ {0} از {1} - تعداد کل : {2}";
    settings.SettingsPager.Summary.Position = PagerButtonPosition.Right;
    settings.SettingsPager.AlwaysShowPager = false;
    settings.SettingsPager.Mode = GridViewPagerMode.ShowPager;
    settings.SettingsText.EmptyDataRow = "موردی یافت نشد";
    settings.SettingsPager.PageSizeItemSettings.Visible = true;
    settings.SettingsPager.PageSize = 25;
    settings.SettingsPager.PageSizeItemSettings.Caption = "تعداد سطر :";
    settings.SettingsPager.PageSizeItemSettings.Items = new string[] { "50", "100", "200", "500" };

    settings.Settings.ShowFooter = true;
    settings.SettingsBehavior.AutoExpandAllGroups = true;

    settings.TotalSummary.Add(DevExpress.Data.SummaryItemType.Sum, "TotalPrice").DisplayFormat="<div style='color:red;'>مجموع هزینه : {0:N0}</div>";

    settings.GroupSummary.Add(DevExpress.Data.SummaryItemType.Sum, "TotalPrice").DisplayFormat = "<div style='display:inline-block;color:darkred;text-align:right;'>==>: {0:N0}</div>";
    settings.Settings.ShowGroupPanel = true;
    settings.Settings.ShowFooter = true;

    //    settings.PreRender = (s, e) =>
    //{
    //    var grid = s as MVCxGridView;
    //    grid.ExpandAll();
    //};
}).Bind(Model).GetHtml()


